{% extends 'base.html' %}
{% block css%}

<!--<link rel="stylesheet" href="/static/css/test.css">-->


<link href="/static/select2/css/select2.min.css" rel="stylesheet">

{% endblock %}
{% block content %}

<!-- Add form -->

<br>

<div class="row">
  <div class="col-sm-12 features section-description wow fadeIn">
    <h2>Gestion des mots-clés</h2>
    <div class="divider-1">
      <div class="line"></div>
    </div>
  </div>
</div>





<div class="container">
  <form method="post" enctype="multipart/form-data">
    {{ form.hidden_tag() }}

    {% for keyword in keywords %}

    {% if loop.index % 2 %}
    <div class="card fat card-body bg-light wow fadeInLeft">
    {% else %}
    <div class="card fat card-body bg-light wow fadeInRight">
    {% endif %}

      <div class="row">
        <div class="col-lg-6">
          <h2>{{ keyword.name }}</h2>
        </div>
        <div class="col-lg-6 btn-group btn-group-toggle" data-toggle="buttons">
        <label class="btn btn-success active" checked>
          <input type="radio" name="options" autocomplete="off" checked>
            <svg class="bi bi-check" width="3em" height="3em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
              <path fill-rule="evenodd" d="M10.97 4.97a.75.75 0 0 1 1.071 1.05l-3.992 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.236.236 0 0 1 .02-.022z"/>
            </svg>
        </label>
        <button type="button" class="btn btn-danger wow fadeIn" data-toggle="modal" data-target="#myModal" data-keyword="{{keyword.id}}">
          Supprimer
        </button>
      </div>
      </div>
      <br>
      <!--
      <div class="row justify-content-center">
        <div class="btn-group" role="group" aria-label="...">
          <button type="button" class="btn btn-danger">Danger</button>
          <button type="button" class="btn btn-success disabled">Success</button>
          <div class=" col-lg-2">
            <a href="Supprimer" class="btn btn-danger">Supprimer</a>
          </div>
        </div>
      </div>
      -->
    </div>
    <br/>
    {% endfor %}

  </form>
</div>

{% if current_user.is_authenticated and current_user.urole == "Admin" %}
<!-- The Modal -->
<form name="myModal" id="delete_keyword" class="modal-form" method="post" action="#">
  <div class="modal" id="myModal">
    <div class="modal-dialog">
      <div class="modal-content">
      
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Confirmez la suppression du mot-clé</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
          <input type="submit" class="btn btn-danger" name="delete" value="Supprimer">
        </div>
      </div>
    </div>
  </div>
</form>
{% endif %}


{% endblock %}
{% block javascript %}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
  <script type="text/javascript">
  $(document).ready(function() {
      // https://select2.github.io/examples.html
      $("select").select2({});

      function formatRepo (repo) {
          if (repo.loading) return repo.text;

          var markup = "<div class='select2-result-repository clearfix'>" +
          "<div class='select2-result-repository__avatar'><img src='" + repo.owner.avatar_url + "' /></div>" +
          "<div class='select2-result-repository__meta'>" +
          "<div class='select2-result-repository__title'>" + repo.full_name + "</div>";
          
          if (repo.description) {
              markup += "<div class='select2-result-repository__description'>" + repo.description + "</div>";
          }

          markup += "<div class='select2-result-repository__statistics'>" +
          "<div class='select2-result-repository__forks'><i class='fa fa-flash'></i> " + repo.forks_count + " Forks</div>" +
          "<div class='select2-result-repository__stargazers'><i class='fa fa-star'></i> " + repo.stargazers_count + " Stars</div>" +
          "<div class='select2-result-repository__watchers'><i class='fa fa-eye'></i> " + repo.watchers_count + " Watchers</div>" +
          "</div>" +
          "</div></div>";

          return markup;
      }

      function formatRepoSelection (repo) {
          return repo.full_name || repo.text;
      }

      $("#single_dynamic_select").select2({
          ajax: {
              url: "https://api.github.com/search/repositories",
              dataType: 'json',
              delay: 250,
              data: function (params) {
                  return {
                      q: params.term, // search term
                      page: params.page
                  };
              },
              processResults: function (data, params) {
                  // parse the results into the format expected by Select2
                  // since we are using custom formatting functions we do not need to
                  // alter the remote JSON data, except to indicate that infinite
                  // scrolling can be used
                  params.page = params.page || 1;

                  return {
                      results: data.items,
                      pagination: {
                          more: (params.page * 30) < data.total_count
                      }
                  };
              },
              cache: true
          },
          escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
          minimumInputLength: 1,
          templateResult: formatRepo, // omitted for brevity, see the source of this page
          templateSelection: formatRepoSelection // omitted for brevity, see the source of this page
      });
  });
  </script>
  <script>
  $('#myModal').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget) // Button that triggered the modal
    var keywordId = button.data('keyword') // Extract info from data-* attributes
    // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
    // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
    // var modal = $(this)
    // modal.find('.modal-form ').text('New message to ' + recipient)
    // modal.find('.modal-body input').val(recipient)
    document.myModal.action = "/delete/keyword/" + keywordId;
  })
  </script>

{% endblock %}

